Bug 458628 - rtc wakealarm no longer working
rtc wakealarm no longer working
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 03:26 EDT by eric magaoay
Modified: 2008-10-29 18:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 18:33:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric magaoay 2008-08-11 03:26:25 EDT
Description of problem:
Using /sys/class/rtc/rtc0/wakealarm to automatically turn on the system at pre-set time no longer works. Wakealarm currently functioning under FC9.

Version-Release number of selected component (if applicable):
kernel 2.6.27-0.244.rc2.git1.fc10.x86_64

How reproducible:
persistent

Steps to Reproduce:
1. Disable RTC alarm setting under BIOS
 * Assumed that we want to wake up the system in 5 minutes.
 * Time is set to LOCAL instead of UTC
 * Local time is set EST (New York time, UTC + 4hrs)
   => 240 min
2. # initialize wakealarm
   echo > /sys/class/rtc/rtc0/wakealarm
3. # set to wake up in 5 minutes. (-235 => adjusted for EST -4hrs) 
   echo `date '+%s' -d '-235 min'` > /sys/class/rtc/rtc0/wakealarm
4. # verify the alarm setting
   cat /proc/driver/rtc  
5. /sbin/shutdown -h now  

Actual results:
PC does not wake up

Expected results:
should automatically turned on PC in 5 minutes

Additional info:
Comment 1 Christopher D. Stover 2008-10-28 16:06:19 EDT
Has this still been an issue for you in newer kernels eric?
Comment 2 eric magaoay 2008-10-29 18:32:55 EDT
It is working on the latest rawhide build. Thanks.

Note You need to log in before you can comment on or make changes to this bug.